-- simpleArrow main.lua

function love.load()
	gr, li, pi			= love.graphics, love.image, math.pi
	sin, cos, atan2		= math.sin, math.cos, math.atan2
	gr.setCaption( 'Simple Arrow' )
	gr.setBackgroundColor( 40,40,182,255 )
	w, h = gr.getWidth(), gr.getHeight()
	end

function love.draw()
	mouseX,mouseY = love.mouse.getPosition( )
	local dx 	= mouseX - w / 2
	local dy 	= mouseY - h / 2
	local a		= 90 * math.pi / 180 - math.atan2( dy , dx )
	local r 	= - math.floor(math.sqrt( dx ^ 2 + dy ^ 2 ) / 2)
	local nx 	= r * math.sin( a ) + mouseX
	local ny 	= r * math.cos( a ) + mouseY
	gr.setColor(255,255,255,255)
	gr.line( mouseX, mouseY, nx, ny )
	local arrowSize = r / 10
	local arrowX = arrowSize * sin( a + 155 * pi / 180 ) + nx
	local arrowY = arrowSize * cos( a + 155 * pi / 180 ) + ny
	gr.line( nx, ny, arrowX, arrowY )
	local arrowX = arrowSize * sin( a + 205 * pi / 180 ) + nx
	local arrowY = arrowSize * cos( a + 205 * pi / 180 ) + ny
	gr.line( nx, ny, arrowX, arrowY )
	gr.setColor(0,255,0,255)
	gr.circle('line',mouseX,mouseY,-arrowSize,-arrowSize)
	gr.setColor(255,0,0,255)
	gr.rectangle('line',w/2+arrowSize*2,h/2+arrowSize*2,-4*arrowSize,-4*arrowSize)
	gr.line(w/2-10,h/2-10,w/2+10,h/2+10)
	gr.line(w/2-10,h/2+10,w/2+10,h/2-10)
	end

function love.keypressed(key)
	if key == 'escape'	then love.event.push('quit') end
	end
